Bug 99409 - hard to read colors on man pages
hard to read colors on man pages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-18 15:15 EDT by Jeff Bastian
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-21 15:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2003-07-18 15:15:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
I like to use terminals with white text and black backgrounds.  The default
colors in many programs are hard to read against a black background.  I've
discovered ways of customizing the colors of most everything: vim, ls, etc.  I
have searched high and low, man pages, google, and more, and have not discovered
a way to change the colors on man pages, so I need to use reverse video to read
man pages, or do
  man foo | col -b | less
to strip all colors, but that's no fun.

Is there a way to customize the colors used by man?

Version-Release number of selected component (if applicable):
1.5k

How reproducible:
Always

Steps to Reproduce:
1. start a terminal with a black background color
2. read a man page on your favorite command
3. note dark blue text very hard to read
Comment 1 Eido Inoue 2003-07-21 15:51:19 EDT
can't do this without some serious a) troff hacking or b) remaping of colors
through Your Favorite Terminal.

Troff colors etc kinda pre-date the notion of "relative colors to the background".

If you have problems with this, you likely also have problems with the colors in
ls I presume.
Comment 2 Jeff Bastian 2003-07-21 16:21:42 EDT
No, actually, it was very easy to change the colors for ls.  The
/usr/bin/dircolors command makes it easy to pick your own colors and put them
into the LS_COLORS environment variable.  And vim is easy with
  set background=dark
  syntax on

I was hoping a MAN_COLORS environment variable might be used somehow, but I
don't know much about groff (nor troff nor nroff), so it might very well require
some serious hacking.

Thanks for the quick response!
Comment 3 Jeff Bastian 2005-02-16 19:33:05 EST
A friend of mine pointed out a way to change the colors not in the man pages but
in the X resources for xterm.  I added these lines to my ~/.Xdefaults file and
ran xrdb to pick up the changes:

*VT100*colorULMode:       on
*VT100*colorBDMode:       on
*VT100*colorBD:           yellow
*VT100*colorUL:           green

Now my man pages have very easy to read colors against dark backgrounds.

Jeff

Note You need to log in before you can comment on or make changes to this bug.